Overview | Package | Class | Use | Tree | Help
| HEADER
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## biouml.editor
Class SearchEngine

    java.lang.Object
      |
      +--java.awt.Component
            |
            +--java.awt.Container
                  |
                  +--java.awt.Window
                        |
                        +--java.awt.Frame
                              |
                              +--javax.swing.JFrame
                                    |
                                    +--biouml.editor.SearchEngine

public class SearchEngine
extends JFrame
implements TransactionListener

Inner classes inherited from class javax.swing.JFrame
`JFrame.AccessibleJFrame`

Inner classes inherited from class java.awt.Frame
`Frame.AccessibleAWTFrame`

Inner classes inherited from class java.awt.Window
`Window.AccessibleAWTWindow`

Inner classes inherited from class java.awt.Container
`Container.AccessibleAWTContainer`

Inner classes inherited from class java.awt.Component
`Component.AccessibleAWTComponent`

Field Summary
`final static int` | `DEFAULT_DEPTH`
`final static String` | `DESCRIPTION_PANE`
`final static String` | `DIAGRAM_PANE`
`final static String` | `SEARCH_LINKED_PANE`
`final static String` | `SEARCH_OPTIONS_PANE`

Fields inherited from class javax.swing.JFrame
`EXIT_ON_CLOSE`

Fields inherited from class java.awt.Frame
`DEFAULT_CURSOR, CROSSHAIR_CURSOR, TEXT_CURSOR, WAIT_CURSOR, SW_RESIZE_CURSOR, SE_RESIZE_CURSOR, NW_RESIZE_CURSOR, NE_RESIZE_CURSOR, N_RESIZE_CURSOR, S_RESIZE_CURSOR, W_RESIZE_CURSOR, E_RESIZE_CURSOR, HAND_CURSOR, MOVE_CURSOR, NORMAL, ICONIFIED`

Fields inherited from class java.awt.Component
`TOP_ALIGNMENT, CENTER_ALIGNMENT, BOTTOM_ALIGNMENT, LEFT_ALIGNMENT, RIGHT_ALIGNMENT`

Constructor Summary
`SearchEngine(String name, Module module)`

Method Summary
`boolean` | `addEdit(UndoableEdit ue)`
`void` | `completeTransaction()`
`ViewPaneListener` | `getDiagramViewListener()`
`static void` | `main(String[] args)`
`void` | `scaleView()`
`void` | `show()`
`void` | `startTransaction(TransactionEvent te)`
`void` | `updateActionsState()`
`void` | `updateSelection(ViewPane viewPane)`

Methods inherited from class javax.swing.JFrame
`setDefaultCloseOperation, getDefaultCloseOperation, update, setJMenuBar, getJMenuBar, remove, setLayout, getRootPane, getContentPane, setContentPane, getLayeredPane, setLayeredPane, getGlassPane, setGlassPane, getAccessibleContext`

Methods inherited from class java.awt.Frame
`addNotify, getTitle, setTitle, getIconImage, setIconImage, getMenuBar, setMenuBar, isResizable, setResizable, setState, getState, remove, removeNotify, setCursor, getCursorType, getFrames`

Methods inherited from class java.awt.Window
`pack, hide, dispose, toFront, toBack, getToolkit, getWarningString, getLocale, getInputContext, setCursor, getOwner, getOwnedWindows, addWindowListener, removeWindowListener, getListeners, getFocusOwner, postEvent, isShowing, applyResourceBundle, applyResourceBundle, getGraphicsConfiguration`

Methods inherited from class java.awt.Container
`getComponentCount, countComponents, getComponent, getComponents, getInsets, insets, add, add, add, add, add, remove, removeAll, getLayout, doLayout, layout, invalidate, validate, setFont, getPreferredSize, preferredSize, getMinimumSize, minimumSize, getMaximumSize, getAlignmentX, getAlignmentY, paint, print, paintComponents, printComponents, addContainerListener, removeContainerListener, deliverEvent, getComponentAt, locate, getComponentAt, findComponentAt, findComponentAt, isAncestorOf, list, list`

Methods inherited from class java.awt.Component
`getName, setName, getParent, getPeer, setDropTarget, getDropTarget, getTreeLock, isValid, isDisplayable, isVisible, isEnabled, setEnabled, enable, enable, disable, isDoubleBuffered, enableInputMethods, setVisible, show, getForeground, setForeground, getBackground, setBackground, getFont, setLocale, getColorModel, getLocation, getLocationOnScreen, location, setLocation, move, setLocation, getSize, size, setSize, resize, setSize, resize, getBounds, bounds, setBounds, reshape, setBounds, getX, getY, getWidth, getHeight, getBounds, getSize, getLocation, isOpaque, isLightweight, getGraphics, getFontMetrics, getCursor, paintAll, repaint, repaint, repaint, repaint, printAll, imageUpdate, createImage, createImage, prepareImage, prepareImage, checkImage, checkImage, contains, inside, contains, dispatchEvent, addComponentListener, removeComponentListener, addFocusListener, removeFocusListener, addHierarchyListener, removeHierarchyListener, addHierarchyBoundsListener, removeHierarchyBoundsListener, addKeyListener, removeKeyListener, addMouseListener, removeMouseListener, addMouseMotionListener, removeMouseMotionListener, addInputMethodListener, removeInputMethodListener, getInputMethodRequests, handleEvent, mouseDown, mouseDrag, mouseUp, mouseMove, mouseEnter, mouseExit, keyDown, keyUp, action, gotFocus, lostFocus, isFocusTraversable, requestFocus, transferFocus, nextFocus, hasFocus, add, toString, list, list, list, addPropertyChangeListener, removePropertyChangeListener, addPropertyChangeListener, removePropertyChangeListener, setComponentOrientation, getComponentOrientation`

Methods inherited from class java.lang.Object
`getClass, hashCode, equals, notify, notifyAll, wait, wait, wait`

Field Detail

### DEFAULT_DEPTH

    public final static int DEFAULT_DEPTH

### DESCRIPTION_PANE

    public final static String DESCRIPTION_PANE

### DIAGRAM_PANE

    public final static String DIAGRAM_PANE

### SEARCH_LINKED_PANE

    public final static String SEARCH_LINKED_PANE

### SEARCH_OPTIONS_PANE

    public final static String SEARCH_OPTIONS_PANE

Constructor Detail

### SearchEngine

    public SearchEngine(String name, Module module)

Method Detail

### addEdit

    public boolean addEdit(UndoableEdit ue)

### completeTransaction

    public void completeTransaction()

### getDiagramViewListener

    public ViewPaneListener getDiagramViewListener()

### main

    public static void main(String[] args)

### scaleView

    public void scaleView()

### show

    public void show()

### startTransaction

    public void startTransaction(TransactionEvent te)

### updateActionsState

    public void updateActionsState()

### updateSelection

    public void updateSelection(ViewPane viewPane)

Association Links

to Class biouml.editor.SearchOptions

to Class java.lang.String

to Class java.lang.String

to Class java.lang.String

to Class java.lang.String

to Class org.apache.log4j.Category

to Class com.developmentontheedge.application.ApplicationToolBar

to Class javax.swing.JPanel

to Class ru.biosoft.graphics.editor.ViewPane

to Class com.beanexplorer.web.HtmlPropertyInspector

to Class biouml.editor.SearchLinkedPanel

to Class javax.swing.JButton

to Class javax.swing.JButton

to Class biouml.model.Module

to Class biouml.model.Diagram

to Class com.developmentontheedge.application.PanelManager

to Class biouml.model.Node

to Class biouml.model.Node

to Class com.developmentontheedge.application.action.ActionManager

to Class com.beanexplorer.undo.TransactionUndoManager

to Class biouml.editor.SearchEngine.DiagramViewListener

to Class biouml.editor.DiagramListener

Overview | Package | Class | Use | Tree | Help
| FOOTER
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

BOTTOM